/*
 File: IEMCallbacksToPrism.java

 History:
 Date       	Who				 What
 May_19_2003  	poladian		 Created public version
 Jan_31_2004   poladian&jpsousa Refactored *.connector
 */
package connector;

import java.io.IOException;

import util.xml.XmlElement;


/**
 * Embodies the receiving end of Prism in a Prism-EM connector. This interface
 * must be implemented by any object that uses PrismToEMConnector. The methods
 * herein will be called when the corresponding messages originating at the EM
 * are received. The method implementations should be non-blocking and return as
 * soon as possible. The correspondence between received messages and client
 * objects is automatically maintained by a PrismToEMConnector implementation.
 * 
 * @see edu.cmu.aura.prism.connector.PrismToEMConnector
 */

public interface IPrismCallbacksFromEM {
	public void createdTask(XmlElement message);
	public void taskLayout(XmlElement message);
	public void taskGone(XmlElement message);
	public void errorSendingToEM(String host, int port, Exception e);
}