package messaging;
/*

	This interface specifies generic methods for sending messages
	from strings and from file.

	The classes implementing this interface provide the actual
	transport, e.g. via sockets.

	Proxy classes can use the implementors of this interface to easily
	send data.

	See classes:
		AuraClientConnectionImpl.java,


*/

interface ISender
{

	void connect()
		throws java.io.IOException;

	void disconnect()
		throws java.io.IOException;

	void sendMessage(String strXmlMessage)
				throws java.io.IOException;

	String getRemoteHost();

	int getRemotePort();

	int addEndPoint();

	int removeEndPoint();
}