/*
  File: MessageQueue.java

  History:
  Date       	Who				What
  Feb_2_2004  	poladian		Created public version
*/

package messaging;
import EDU.oswego.cs.dl.util.concurrent.*;


/**
 *  This class implements the IMessageQueue interface
 *  using a LinkedQueue from the util.concurrent package.

 **/
class MessageQueue
			implements IMessageQueue
{

	protected Channel				m_eventQueue;

	public MessageQueue()
	{
		m_eventQueue = new LinkedQueue ();
	}

	public void queueMessage(MessageWrapper strMessage)
					throws java.lang.InterruptedException
	{
		m_eventQueue .put(strMessage);
	}

	public MessageWrapper getNextMessage()
					throws java.lang.InterruptedException
	{
		MessageWrapper msg = null;

		try
		{
			msg = (MessageWrapper) m_eventQueue.take();
		}
		catch ( IndexOutOfBoundsException  exc)
		{
			return null;
		}
		return msg;
	}
}